import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CdkConfirmUniqueComponent implements OnInit {
    isDialogContainer: boolean;
    data: string | {
        title: string;
        value: string;
    };
    private _dialogRef;
    value: string;
    title: string;
    ngOnInit(): void;
    reset(): void;
    onCancel(): void;
    onApply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CdkConfirmUniqueComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CdkConfirmUniqueComponent, "cdk-confirm-unique", never, {}, {}, never, never, true, never>;
}
